ZeepNotti Docs
API Reference

Labels

GET
/v1/apps/{app_id}/labels

Lists the App's labels ordered by name.

Authorization

Path Parameters

app_id*string

App ID

Response Body

application/json

curl -X GET "https://example.com/v1/apps/string/labels"
[  {    "app_id": "string",    "created_at": "string",    "id": "string",    "name": "string"  }]
POST
/v1/apps/{app_id}/labels

Find-or-create a label for the App: returns 201 with a new label, or 200 with the existing label when one with the same name (case-insensitively) already exists.

Authorization

Path Parameters

app_id*string

App ID

Request Body

application/json

Label name

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/apps/string/labels" \  -H "Content-Type: application/json" \  -d '{}'
{  "app_id": "string",  "created_at": "string",  "id": "string",  "name": "string"}